Function
convert
Converts a value into another value.
Convert convert<Target>(source)
Include Headers
seqan/basic.h
Parameters

Target | The type source is converted to.
source | An object that is converted to Target.

Remarks
This function is implemented in convertImpl. Do not specialize convert, specialize convertImpl instead.
Return Values
source converted to Target.
Metafunctions: Convert
Remarks: If source can be re-interpreted as instance of Target, then a reference is returned. Otherwise the function returns a temporary object.
See Also
convertImpl
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46